OpenVDB: MaskIsovalueCrossingVoxels< InputTreeType > Struct Template Reference

OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
MaskIsovalueCrossingVoxels< InputTreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | InputValueType = typename InputTreeType::ValueType
using | InputLeafNodeType = typename InputTreeType::LeafNodeType
using | BoolTreeType = typename InputTreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| MaskIsovalueCrossingVoxels (const InputTreeType &inputTree, const std::vector< const InputLeafNodeType * > &inputLeafNodes, BoolTreeType &maskTree, InputValueType iso)
| MaskIsovalueCrossingVoxels (MaskIsovalueCrossingVoxels &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (MaskIsovalueCrossingVoxels &rhs)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename InputTreeType::template ValueConverter<bool>::Type

## ◆ InputLeafNodeType

using InputLeafNodeType = typename InputTreeType::LeafNodeType

## ◆ InputValueType

using InputValueType = typename InputTreeType::ValueType

## Constructor & Destructor Documentation

## ◆ MaskIsovalueCrossingVoxels() [1/2]

MaskIsovalueCrossingVoxels | ( | const InputTreeType & | inputTree,
|  | const std::vector< const InputLeafNodeType * > & | inputLeafNodes,
|  | BoolTreeType & | maskTree,
|  | InputValueType | iso
| ) |  |
| inline

## ◆ MaskIsovalueCrossingVoxels() [2/2]

MaskIsovalueCrossingVoxels | ( | MaskIsovalueCrossingVoxels< InputTreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | MaskIsovalueCrossingVoxels< InputTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h